Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364655 - [abrt] qemu-system-x86: error_exit(): qemu-system-x86_64 killed by SIGABRT
Summary: [abrt] qemu-system-x86: error_exit(): qemu-system-x86_64 killed by SIGABRT
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:181f821c9eaf954dc4aee3ff672...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 08:29 UTC by Mikhail
Modified: 2016-08-19 11:12 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-10 13:47:27 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: cgroup (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: core_backtrace (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: dso_list (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: environ (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: limits (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: maps (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: mountinfo (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: namespaces (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: open_fds (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: proc_pid_status (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details
File: var_log_messages (deleted)
2016-08-06 08:29 UTC, Mikhail
no flags Details

Description Mikhail 2016-08-06 08:29:26 UTC
Version-Release number of selected component:
qemu-system-x86-2.6.0-5.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/qemu-system-x86_64 -machine accel=kvm -name boxes-unknown-5,debug-threads=on -S -machine pc-i440fx-2.6,accel=kvm,usb=off -cpu Haswell-noTSX -m 2048 -realtime mlock=off -smp 8,sockets=1,cores=4,threads=2 -uuid 0f4c3c30-3bd8-4cec-b08c-dcf621a84ae2 -no-user-config -nodefaults -chardev socket,id=charmonitor,path=/home/mikhail/.config/libvirt/qemu/lib/domain-22-boxes-unknown-5/monitor.sock,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=utc,driftfix=slew -global kvm-pit.lost_tick_policy=discard -no-hpet -no-shutdown -global PIIX4_PM.disable_s3=1 -global PIIX4_PM.disable_s4=1 -boot strict=on -device ich9-usb-ehci1,id=usb,bus=pci.0,addr=0x6.0x7 -device ich9-usb-uhci1,masterbus=usb.0,firstport=0,bus=pci.0,multifunction=on,addr=0x6 -device ich9-usb-uhci2,masterbus=usb.0,firstport=2,bus=pci.0,addr=0x6.0x1 -device ich9-usb-uhci3,masterbus=usb.0,firstport=4,bus=pci.0,addr=0x6.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x5 -device usb-ccid,id=ccid0 -drive file=/home/mikhail/.local/share/gnome-boxes/images/boxes-unknown-5,format=qcow2,if=none,id=drive-ide0-0-0,cache=writeback -device ide-hd,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=1 -drive file=/home/mikhail/Downloads/Solus-1.2.iso,format=raw,if=none,id=drive-ide0-1-0,readonly=on -device ide-cd,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev user,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:77:e7:b9,bus=pci.0,addr=0x3 -chardev spicevmc,id=charsmartcard0,name=smartcard -device ccid-card-passthru,chardev=charsmartcard0,id=smartcard0,bus=ccid0.0 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -device usb-mouse,id=input1 -device usb-kbd,id=input2 -spice disable-ticketing,image-compression=off,seamless-migration=on -device qxl-vga,id=video0,ram_size=67108864,vram_size=67108864,vram64_size_mb=0,vgamem_mb=16,bus=pci.0,addr=0x2 -device AC97,id=sound0,bus=pci.0,addr=0x4 -chardev spicevmc,id=charredir0,name=usbredir -device usb-redir,chardev=charredir0,id=redir0 -chardev spicevmc,id=charredir1,name=usbredir -device usb-redir,chardev=charredir1,id=redir1 -chardev spicevmc,id=charredir2,name=usbredir -device usb-redir,chardev=charredir2,id=redir2 -chardev spicevmc,id=charredir3,name=usbredir -device usb-redir,chardev=charredir3,id=redir3 -incoming defer -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x7 -msg timestamp=on
crash_function: error_exit
executable:     /usr/bin/qemu-system-x86_64
global_pid:     12328
kernel:         4.6.4-301.fc24.x86_64+debug
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 error_exit at /usr/src/debug/qemu-2.6.0/util/qemu-thread-posix.c:39
 #3 qemu_thread_create at /usr/src/debug/qemu-2.6.0/util/qemu-thread-posix.c:473
 #4 do_spawn_thread at /usr/src/debug/qemu-2.6.0/thread-pool.c:135
 #5 spawn_thread_bh_fn at /usr/src/debug/qemu-2.6.0/thread-pool.c:143
 #6 aio_bh_call at /usr/src/debug/qemu-2.6.0/async.c:66
 #7 aio_bh_poll at /usr/src/debug/qemu-2.6.0/async.c:94
 #8 aio_dispatch at /usr/src/debug/qemu-2.6.0/aio-posix.c:308
 #9 aio_ctx_dispatch at /usr/src/debug/qemu-2.6.0/async.c:233
 #12 glib_pollfds_poll at /usr/src/debug/qemu-2.6.0/main-loop.c:213
 #13 os_host_main_loop_wait at /usr/src/debug/qemu-2.6.0/main-loop.c:258

Potential duplicate: bug 1003287

Comment 1 Mikhail 2016-08-06 08:29:37 UTC
Created attachment 1188106 [details]
File: backtrace

Comment 2 Mikhail 2016-08-06 08:29:39 UTC
Created attachment 1188107 [details]
File: cgroup

Comment 3 Mikhail 2016-08-06 08:29:40 UTC
Created attachment 1188108 [details]
File: core_backtrace

Comment 4 Mikhail 2016-08-06 08:29:42 UTC
Created attachment 1188109 [details]
File: dso_list

Comment 5 Mikhail 2016-08-06 08:29:44 UTC
Created attachment 1188110 [details]
File: environ

Comment 6 Mikhail 2016-08-06 08:29:46 UTC
Created attachment 1188111 [details]
File: limits

Comment 7 Mikhail 2016-08-06 08:29:49 UTC
Created attachment 1188112 [details]
File: maps

Comment 8 Mikhail 2016-08-06 08:29:50 UTC
Created attachment 1188113 [details]
File: mountinfo

Comment 9 Mikhail 2016-08-06 08:29:52 UTC
Created attachment 1188114 [details]
File: namespaces

Comment 10 Mikhail 2016-08-06 08:29:54 UTC
Created attachment 1188115 [details]
File: open_fds

Comment 11 Mikhail 2016-08-06 08:29:56 UTC
Created attachment 1188116 [details]
File: proc_pid_status

Comment 12 Mikhail 2016-08-06 08:29:58 UTC
Created attachment 1188117 [details]
File: var_log_messages

Comment 13 Cole Robinson 2016-08-10 13:47:27 UTC
That error is a pthread_create failure, which is unlikely to be a qemu issue. Maybe you are hitting thread limits for your user? See man pthread_create. Or your machine is having other issues...


Note You need to log in before you can comment on or make changes to this bug.